package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ReportDetail;

/**
 * 报告信息Service接口
 * 
 * @author boman
 * @date 2021-12-27
 */
public interface IReportDetailService 
{
    /**
     * 查询报告信息
     * 
     * @param reportId 报告信息主键
     * @return 报告信息
     */
    public ReportDetail selectReportDetailByReportId(Long reportId);

    /**
     * 查询报告信息列表
     * 
     * @param reportDetail 报告信息
     * @return 报告信息集合
     */
    public List<ReportDetail> selectReportDetailList(ReportDetail reportDetail);

    /**
     * 新增报告信息
     * 
     * @param reportDetail 报告信息
     * @return 结果
     */
    public int insertReportDetail(ReportDetail reportDetail);

    /**
     * 修改报告信息
     * 
     * @param reportDetail 报告信息
     * @return 结果
     */
    public int updateReportDetail(ReportDetail reportDetail);

    /**
     * 批量删除报告信息
     * 
     * @param reportIds 需要删除的报告信息主键集合
     * @return 结果
     */
    public int deleteReportDetailByReportIds(Long[] reportIds);

    /**
     * 删除报告信息信息
     * 
     * @param reportId 报告信息主键
     * @return 结果
     */
    public int deleteReportDetailByReportId(Long reportId);

    /**
     * 校验报告编号唯一性
     * @return
     */
    public String checkReportNumberUnique(ReportDetail reportDetail);
}
